<?php

class chimppress_editor {

	function chimppress_editor(){
		$this->__construct();
	} // function

	function __construct(){
		//add actions

		//add filters
		
   		$this->display_the_editor();
   		
	} // function 	
	
	function display_the_editor(){ 
	
		$CP_ERROR = get_option('CP_ERROR');
	
		if($CP_ERROR != ''){
			
			echo '<div id="message" class="error"><p>ERROR: ' . $CP_ERROR . '</p></div>';
			
			update_option('CP_ERROR', '');
			
		}
	
		global $post; 
		
	    $chimppress_mailchimp_api_functions = new chimppress_mailchimp_api_functions;

	    $mailchimp_id = get_post_meta($post->ID, 'mailchimp_id', true);

		$filters['campaign_id'] = $mailchimp_id;

		$campaign = $chimppress_mailchimp_api_functions->get_campaigns($filters);
		
        $status = $campaign['data'][0]['status'];
                		
		?>
	
		<script>
		//alert('<?php echo $status . ' ' . $mailchimp_id; ?>');
		appendLoading();
		jQuery(document).ready(function() {

			jQuery('#post-preview').attr('onClick', 'chimppress_preview("<?php echo CP_url; ?>");');
			jQuery('#post-preview').attr('target', '');
			jQuery('#post-preview').attr('href', '#');
			jQuery('#post-preview').attr('id', '');
			jQuery('#preview-action a').html('Preview');
			jQuery('#publish').val('Save Campaign');
			jQuery('#publish').attr('onClick', 'saveContent()');
			jQuery('#save-post').remove();
			jQuery('#delete-action').css('float', 'right');
			jQuery('.submitdelete').html('Delete Campaign');
			jQuery('#delete-action').append('<br><br>');
			jQuery('#misc-publishing-actions').remove();
			jQuery('#publishing-action').append('<br><br><span class="description">Use the "Save Campaign" button to save without sending. When you are ready to send, use the "Send Campaign" button.<span><br><br><input type="button" name="chimppress_send" class="button" value="Send Campaign" onClick="chimppress_campaign_send(<?php echo $post->ID; ?>);" /><input type="hidden" name="send_the_campaign" id="send_the_campaign" value="no" />');
			jQuery('#campaign_content_input').hide();
			
			<?php if($status == 'sent' && $mailchimp_id != ''){ ?>
			
			jQuery('input, select').each(function(){
				jQuery(this).attr('disabled', 'disabled');
				jQuery('#chimppresscampaigntemplate .controls, #chimppresscampaigntemplate .edit_button, #chimppresscampaigntemplate .image_button, #chimppress_campaign_templates, #change-permalinks, .controls, #chimppress_campaign_currently_editing, #submitdiv, #chimppress_campaign_extras, #chimppress_campaign_widgets, #chimppress_campaign_colors, #chimppress_campaign_padding').remove();
				jQuery('#chimppresscampaigntemplate .sortable').css('border', 'none');
			});			
			<?php } ?>

		});
		</script>
		
		<input type="hidden" name="mailchimp_id" value="<?php echo get_post_meta($post->ID, 'mailchimp_id', true); ?>" />
				
		<textarea name="campaign_content_input" id="campaign_content_input"><?php echo get_post_meta($post->ID, 'campaign_content_input', true); ?></textarea>
		
		<div id="chimppress_campaign_content">
		
			<table width="100%" align="center">  
			    <tr>  
			        <td id="campaign_background"> 	
						<table id="chimppresscampaigntemplate" class="campaign_editor" style="table-layout:fixed; overflow:hidden;margin: 20px auto;" width="600" align="center" cellspacing="0">
							<tbody>
								<img id="select_template_graphic" src="<?php echo CP_url . '/img/select_template.png'; ?>" />
							</tbody>
						</table>	
			        </td>  
			    </tr>  
			</table> 
		
		</div>
		<div id="chimppress_meta_data">
<!-- 			<input type="hidden" id="chimppress_widget_order" name="chimppress_widget_order" /> -->			
		</div>
		
		<div id="preview_html" style="display:none;"></div>
		<?php

		global $post;
		
		parse_str( get_post_meta($post->ID, 'chimppress_cells', true), $cells );
		
		parse_str( get_post_meta($post->ID, 'chimppress_cell_bg_colors', true), $cell_bg_cols );
		
		parse_str( get_post_meta($post->ID, 'chimppress_cell_text_colors', true), $cell_text_cols );
		
		parse_str( get_post_meta($post->ID, 'chimppress_cell_padding_top', true), $cell_padding_top );
		
		parse_str( get_post_meta($post->ID, 'chimppress_cell_padding_right', true), $cell_padding_right );
		
		parse_str( get_post_meta($post->ID, 'chimppress_cell_padding_bottom', true), $cell_padding_bottom );
		
		parse_str( get_post_meta($post->ID, 'chimppress_cell_padding_left', true), $cell_padding_left );
				
		?><script>function update_cells(){ <?php echo "\n"; 


		foreach($cells as $cell => $value){
			$cell_array = explode('-', $cell);
			?>jQuery('#chimppresscampaigntemplate').find('#<?php echo $cell_array[0]; ?>').find('#<?php echo $cell_array[1]; ?>').html('<?php echo stripslashes($value); ?>');<?php echo "\n";		
		}
		
		foreach($cell_bg_cols as $cell => $value){
			$cell_array = explode('-', $cell);
			?>jQuery('#chimppresscampaigntemplate').find('#<?php echo $cell_array[0]; ?>').find('#<?php echo $cell_array[1]; ?>').css('backgroundColor', '<?php echo stripslashes($value); ?>');<?php echo "\n";		
		}	
		
		foreach($cell_text_cols as $cell => $value){
			$cell_array = explode('-', $cell);
			?>jQuery('#chimppresscampaigntemplate').find('#<?php echo $cell_array[0]; ?>').find('#<?php echo $cell_array[1]; ?>').css('color', '<?php echo stripslashes($value); ?>');<?php echo "\n";		
		}
		
		foreach($cell_padding_top as $cell => $value){
			$cell_array = explode('-', $cell);
			?>jQuery('#chimppresscampaigntemplate').find('#<?php echo $cell_array[0]; ?>').find('#<?php echo $cell_array[1]; ?>').css('paddingTop', '<?php echo stripslashes($value); ?>');<?php echo "\n";		
		}
		
		foreach($cell_padding_right as $cell => $value){
			$cell_array = explode('-', $cell);
			?>jQuery('#chimppresscampaigntemplate').find('#<?php echo $cell_array[0]; ?>').find('#<?php echo $cell_array[1]; ?>').css('paddingRight', '<?php echo stripslashes($value); ?>');<?php echo "\n";		
		}
		
		foreach($cell_padding_bottom as $cell => $value){
			$cell_array = explode('-', $cell);
			?>jQuery('#chimppresscampaigntemplate').find('#<?php echo $cell_array[0]; ?>').find('#<?php echo $cell_array[1]; ?>').css('paddingBottom', '<?php echo stripslashes($value); ?>');<?php echo "\n";		
		}
		
		foreach($cell_padding_left as $cell => $value){
			$cell_array = explode('-', $cell);
			?>jQuery('#chimppresscampaigntemplate').find('#<?php echo $cell_array[0]; ?>').find('#<?php echo $cell_array[1]; ?>').css('paddingLeft', '<?php echo stripslashes($value); ?>');<?php echo "\n";		
		}?>		
		
		jQuery('#chimppresscampaigntemplate').css('backgroundColor', '<?php echo get_post_meta($post->ID, 'chimppress_campaign_body', true); ?>');
		jQuery('#chimppresscampaigntemplate').css('color', '<?php echo get_post_meta($post->ID, 'chimppress_campaign_txt_body', true); ?>');
		jQuery('#campaign_background').css('backgroundColor', '<?php echo get_post_meta($post->ID, 'chimppress_campaign_background', true); ?>');
		jQuery('#campaign_background').css('color', '<?php echo get_post_meta($post->ID, 'chimppress_campaign_txt_background', true); ?>');		

		};</script><?php

	} //function
	
}

?>